## visad.aune
Class ShallowFluid

    java.lang.Object
      visad.aune.ShallowFluid

public class ShallowFluid
extends Object

ShallowFluid implements the interactive 2-D shallow fluid model application using VisAD 2.0. It is rewritten from the shallow.v application developed for VisAD 1.1 by Bob Aune.

Nested Class Summary
`(package private) class` `ShallowFluid.initializeCell` re-initialize
`(package private) class` `ShallowFluid.shalstepCell` advance 2-D shallow fluid state by one time step

Field Summary
`(package private) DataReference` `adiff_ref`
`(package private) DataReference` `alat_ref`
`(package private) DataReference` `anim_delay_ref`
`(package private) RealType` `cc`
`(package private) RealType` `ccdiff`
`(package private) RemoteServer` `client_server` RemoteServer for client this ShallowFluid is a client if client_server != null
`(package private) DataReference` `delt_ref`
`(package private) DataReference` `eps_ref`
`(package private) DataReference` `gravity_ref`
`(package private) RealType` `h`
`(package private) RealType` `hdiff`
`static int` `HEIGHT`
`(package private) DataReference` `hprm11_ref`
`(package private) DataReference` `hprm12_ref`
`(package private) DataReference` `ibc_ref`
`boolean` `initial` flag model initialization
`(package private) DataReference` `iopt_ref`
`(package private) Set` `linear59x49` declare Sets
`(package private) RealTupleType` `loc`
`(package private) DataReference` `new_state_ref`
`(package private) DataReference` `newold_diff_ref`
`(package private) DataReference` `old_state_ref`
`(package private) DataReference` `oldest_state_ref`
`(package private) RemoteServerImpl` `server_server` RemoteServerImpl for server this ShallowFluid is a server if server_server != null
`(package private) DataReference` `sim_time_ref` declare DataReferences
`(package private) DataReference` `tfilt_ref`
`(package private) RealType` `time`
`(package private) RealType` `u`
`(package private) DataReference` `ubar1_ref`
`(package private) RealType` `udiff`
`(package private) RealType` `v`
`(package private) DataReference` `vbar1_ref`
`(package private) RealType` `vdiff`
`(package private) FunctionType` `vol`
`(package private) FunctionType` `voldiff`
`static int` `WIDTH` the width and height of the UI frame
`(package private) RealType` `xloc` declare MathTypes
`(package private) RealType` `yloc`

Constructor Summary
`ShallowFluid(String[] args)`

Method Summary
`static void` `main(String[] args)` type 'java visad.paoloa.ShallowFluid' to run this application; the main thread just exits, since Display, Cell and JFC threads run the application
`(package private) void` `setupClient()` set up as client
`(package private) void` `setupDisplays(boolean client, DisplayImpl[] displays)` set up Displays; client is true for client and false for server; return constructed Displays in displays array
`(package private) void` `setupServer()` set up as server: Construct the ShallowFluid application, including Data objects, Display objects, Cell (computational) objects, and JFC (slider) user interface objects.
`(package private) void` `setupUI(DisplayImpl[] displays)` construct user interface using JFC

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### server_server

    RemoteServerImpl server_server

  RemoteServerImpl for server this ShallowFluid is a server if server_server != null

### client_server

    RemoteServer client_server

  RemoteServer for client this ShallowFluid is a client if client_server != null

### xloc

    RealType xloc

  declare MathTypes

### yloc

    RealType yloc

### u

    RealType u

### v

    RealType v

### h

    RealType h

### cc

    RealType cc

### udiff

    RealType udiff

### vdiff

    RealType vdiff

### hdiff

    RealType hdiff

### ccdiff

    RealType ccdiff

### time

    RealType time

### loc

    RealTupleType loc

### vol

    FunctionType vol

### voldiff

    FunctionType voldiff

### linear59x49

    Set linear59x49

  declare Sets

### sim_time_ref

    DataReference sim_time_ref

  declare DataReferences

### new_state_ref

    DataReference new_state_ref

### old_state_ref

    DataReference old_state_ref

### oldest_state_ref

    DataReference oldest_state_ref

### newold_diff_ref

    DataReference newold_diff_ref

### iopt_ref

    DataReference iopt_ref

### ibc_ref

    DataReference ibc_ref

### gravity_ref

    DataReference gravity_ref

### alat_ref

    DataReference alat_ref

### ubar1_ref

    DataReference ubar1_ref

### vbar1_ref

    DataReference vbar1_ref

### hprm11_ref

    DataReference hprm11_ref

### hprm12_ref

    DataReference hprm12_ref

### delt_ref

    DataReference delt_ref

### eps_ref

    DataReference eps_ref

### adiff_ref

    DataReference adiff_ref

### tfilt_ref

    DataReference tfilt_ref

### anim_delay_ref

    DataReference anim_delay_ref

### WIDTH

    public static int WIDTH

  the width and height of the UI frame

### HEIGHT

    public static int HEIGHT

### initial

    public boolean initial

  flag model initialization

Constructor Detail

### ShallowFluid

    public ShallowFluid(String[] args)
                 throws VisADException,
                        RemoteException

Method Detail

### main

    public static void main(String[] args)
                     throws VisADException,
                            RemoteException

  type 'java visad.paoloa.ShallowFluid' to run this application; the main thread just exits, since Display, Cell and JFC threads run the application

  Throws:
    `VisADException`
    `RemoteException`

### setupServer

    void setupServer()
               throws VisADException,
                      RemoteException

  set up as server: Construct the ShallowFluid application, including Data objects, Display objects, Cell (computational) objects, and JFC (slider) user interface objects. The Display, Cell and JFC objects include threads and links to Data objects (via DataReference objects). Display and Cell threads wake up when linked Data objects change. Display and JFC objects wake up on mouse events. Display, Cell and JFC objects cause changes to Data objects.

  Throws:
    `VisADException`
    `RemoteException`

### setupClient

    void setupClient()
               throws VisADException,
                      RemoteException

  set up as client

  Throws:
    `VisADException`
    `RemoteException`

### setupDisplays

    void setupDisplays(boolean client,
                       DisplayImpl[] displays)
                 throws VisADException,
                        RemoteException

  set up Displays; client is true for client and false for server; return constructed Displays in displays array

  Throws:
    `VisADException`
    `RemoteException`

### setupUI

    void setupUI(DisplayImpl[] displays)
           throws VisADException,
                  RemoteException

  construct user interface using JFC

  Throws:
    `VisADException`
    `RemoteException`